Transaction Status

Check the status of any transaction initiated on InstantPay platform. Call this API after 30 minutes of transaction completion and if transaction is in PENDING (TUP) or TIMEOUT (no response) status. Maintain a time difference of at least 4 hours between status query attempts for the same transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameter

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeString1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
📘

Info :

Click Here to know how to get the Credentials.

Request Parameter

Parameter NameRequirementDescription
transactionDateMandatoryDate of the Transaction (YYYY-MM-DD)
externalRefMandatoryYour Transaction Id
sourceOptionalIt will be ORDER (For AePS Transactions only)
📘

Note :

If checking the Transaction status other than AePS API then you don't need to pass the source parameter in the request.

Sample Request

curl --location --request POST 'https://api.instantpay.in/reports/txnStatus' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
                "transactionDate" : "2021-11-29",
                "externalRef"     : "IMPS1",
                "source"          : "ORDER"
      			}
POST /reports/txnStatus HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
			"transactionDate" : "2021-11-29",
   		"externalRef"     : "IMPS1",
			"source"          : "ORDER"
}

Response Parameter

Parameter NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
poolArrayPool Account Details after the Transaction amount debited
reversalArrayReversal Details
timestampStringResponse time (YYYY-MM-DD HH:MM:SS)
ipay_uuidStringRequest reference number
environmentStringLive/Sandbox

Sample Response

{
  "statuscode": "TXN",
  "actcode": null,
  "status": "-",
  "data": {
    "transactionDateTime": "2022-05-01 00:52:54",
    "transactionStatusCode": "TXN",
    "transactionStatus": "Transaction Successful",
    "transactionAmount": "10000.00",
    "transactionReferenceId": "212100597800",
    "order": {
      "referenceId": "CPJ012212100524740",
      "externalRef": "1651346567",
      "spKey": "WAP",
      "spName": "Cash Withdrawal via AePS",
      "sspKey": "ALL",
      "sspName": null,
      "account": "841XXXX786",
      "optional1Label": "IIN",
      "optional1": "XXXXXX",
      "optional2Label": "Aadhaar",
      "optional2": "xxxxxxxx0110",
      "optional3Label": "Bank",
      "optional3": "STATE XXXXX INDIA",
      "optional4Label": "Balance",
      "optional4": "",
      "optional5Label": "",
      "optional5": "",
      "optional6Label": "",
      "optional6": "",
      "optional7Label": "",
      "optional7": "",
      "optional8Label": "",
      "optional8": "",
      "optional9Label": "",
      "optional9": ""
    },
    "pool": {
      "transaction": {
        "referenceId": "122050100XXXXYHVCA",
        "openingBalance": "7514.29",
        "paymentAmount": "10009.50",
        "mode": "CR",
        "closingBalance": "17523.79",
        "convenienceFee": "0.00",
        "surcharge": "0.0000",
        "cashback": "10.0000",
        "tds": "0.5000"
      },
      "reversal": {
        "referenceId": null,
        "openingBalance": null,
        "paymentAmount": null,
        "mode": null,
        "closingBalance": null
      }
    },
    "tag": {
      "1": {
        "desc": null,
        "value": null
      },
      "2": {
        "desc": null,
        "value": null
      },
      "3": {
        "desc": null,
        "value": null
      },
      "4": {
        "desc": null,
        "value": null
      },
      "5": {
        "desc": null,
        "value": null
      }
    }
  },
  "timestamp": "2022-06-29 17:42:13",
  "ipay_uuid": "h00596a8819e-XXXX-XXXX-XXXX-e50540126dc3"
}

Status Code Information

statuscodetransactionStatusCodeAction
TXNTXNTransaction is Successful
TXNTUPStill Transaction is under process. No Action Required.
TXNOther than TXN and TUPTransaction is Failed
Other than TXN
No Action Required.
📘

Note

  1. Call this API at least after 30 minutes of transaction and only when the Transaction is Under Process (TUP) or Timeout(No Response).

  2. If transactionStatusCode is TUP then hit the API again but maintain a time difference of at least 4 hours between status query attempts for the same transaction.

  3. You will get the Reversal details if the Transaction is failed and the amount is refunded.

  4. The Status of the Transactions can be checked for the last 30 days only.

  5. If Transaction initiated between 11:55 PM to 12:00 AM then check the status on T and T+1 Days.

  6. Every day from 11:30 PM to 00:30 AM, the Transaction Status API will be down for maintenance.

Body Params
date
string
string
Defaults to Order
Headers
string
Defaults to 1

Auth Code - 1 (Fixed)

string

Unique Client ID

string

Unique secret key

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json